using System;
using System.Collections.Generic;
using MediatR;
using Sledgemapper.Shared.Entities;

namespace Sledgemapper.Api.Commands
{
    public class GetCampaignPlayersCommand : IRequest<List<Player>>
    {
        public double Timestamp { get; private set; }
        public string CampaignName { get; private set; }
        public string UserId { get; private set; }
        public GetCampaignPlayersCommand(string campaingName, string userId)
        {
            Timestamp = DateTimeOffset.Now.ToUnixTimeMilliseconds();
            CampaignName = campaingName;
            UserId = userId;
        }
    }

    public class GetCampaignMapsCommand : IRequest<List<Session>>
    {
        public double Timestamp { get; private set; }
        public string CampaignName { get; private set; }
        public string UserId { get; private set; }
        public GetCampaignMapsCommand(string campaingName, string userId)
        {
            Timestamp = DateTimeOffset.Now.ToUnixTimeMilliseconds();
            CampaignName = campaingName;
            UserId = userId;
        }
    }

}