using System;
using MediatR;

namespace Sledgemapper.Api.Commands
{
    public class NewSessionCommand : BaseCommand<bool>
    {
        public NewSessionCommand(string campaign, string sessionName, string userId) : base(campaign, sessionName, userId)
        {
        }
    }

    public class NewCampaignCommand : IRequest<bool>
    {
        public double Timestamp { get; private set; }
        public string CampaignName { get; private set; }
        public string UserId { get; private set; }
        public NewCampaignCommand(string campaingName, string userId)
        {
            Timestamp = DateTimeOffset.Now.ToUnixTimeMilliseconds();
            CampaignName = campaingName;
            UserId = userId;
        }
    }

}